#ifndef PRAGMA_COMMODITIES_H
#define PRAGMA_COMMODITIES_H

/* "commodities.library" */
/*--- functions in V36 or higher (distributed as Preliminary Release 2.0) --- */
/* */
/*  OBJECT UTILITIES */
/* */
#pragma amicall(_CxBase, 0x1E, CreateCxObj(d0,a0,a1))
#pragma amicall(_CxBase, 0x24, CxBroker(a0,d0))
#pragma amicall(_CxBase, 0x2A, ActivateCxObj(a0,d0))
#pragma amicall(_CxBase, 0x30, DeleteCxObj(a0))
#pragma amicall(_CxBase, 0x36, DeleteCxObjAll(a0))
#pragma amicall(_CxBase, 0x3C, CxObjType(a0))
#pragma amicall(_CxBase, 0x42, CxObjError(a0))
#pragma amicall(_CxBase, 0x48, ClearCxObjError(a0))
#pragma amicall(_CxBase, 0x4E, SetCxObjPri(a0,d0))
/* */
/*  OBJECT ATTACHMENT */
/* */
#pragma amicall(_CxBase, 0x54, AttachCxObj(a0,a1))
#pragma amicall(_CxBase, 0x5A, EnqueueCxObj(a0,a1))
#pragma amicall(_CxBase, 0x60, InsertCxObj(a0,a1,a2))
#pragma amicall(_CxBase, 0x66, RemoveCxObj(a0))
/* */
/*  TYPE SPECIFIC */
/* */
#pragma amicall(_CxBase, 0x6C, FindBroker(a0))
#pragma amicall(_CxBase, 0x72, SetTranslate(a0,a1))
#pragma amicall(_CxBase, 0x78, SetFilter(a0,a1))
#pragma amicall(_CxBase, 0x7E, SetFilterIX(a0,a1))
#pragma amicall(_CxBase, 0x84, ParseIX(a0,a1))
/* */
/*  COMMON MESSAGE */
/* */
#pragma amicall(_CxBase, 0x8A, CxMsgType(a0))
#pragma amicall(_CxBase, 0x90, CxMsgData(a0))
#pragma amicall(_CxBase, 0x96, CxMsgID(a0))
/* */
/*  MESSAGE ROUTING */
/* */
#pragma amicall(_CxBase, 0x9C, DivertCxMsg(a0,a1,a2))
#pragma amicall(_CxBase, 0xA2, RouteCxMsg(a0,a1))
#pragma amicall(_CxBase, 0xA8, DisposeCxMsg(a0))
/* */
/*  INPUT EVENT HANDLING */
/* */
#pragma amicall(_CxBase, 0xAE, InvertKeyMap(d0,a0,a1))
#pragma amicall(_CxBase, 0xB4, AddIEvents(a0))
/* */
/* FOR USE ONLY BY CONTROLLER PROGRAM */
/* */
#pragma amicall(_CxBase, 0xBA, CopyBrokerList(a0))
#pragma amicall(_CxBase, 0xC0, FreeBrokerList(a0))
#pragma amicall(_CxBase, 0xC6, BrokerCommand(a0,d0))

#endif /* PRAGMA_COMMODITIES_H */
